Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155534 - Kbabel allows to type in english also even though iiimf is on !!!
Summary: Kbabel allows to type in english also even though iiimf is on !!!
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdesdk
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Lukáš Tinkl
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-21 07:35 UTC by Ankit Patel
Modified: 2015-07-13 17:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-07 09:02:37 UTC


Attachments (Terms of Use)

Description Ankit Patel 2005-04-21 07:35:22 UTC
Description of problem:
We can type in English in kbabel even if iiinf is on !!!

Version-Release number of selected component (if applicable):


How reproducible:
When you start kbabel and by pressing 'ctrl+space' make on the iiimf. If you
type normally then it will type characters in your native language but by typing
with combinations of 'alt' you will get english characters.

Steps to Reproduce:
1.Start Kbabel
2.press ctrl + space
3.start typing
4.press 'alt' key, and start typing.
  
Actual results:
Without pressing 'alt' key, it will type in login language. (This is correct)
With pressing 'alt' key, it will start typing in english even though the iiimf
is on. (This is not correct)

Expected results:
Without pressing 'alt' key, it should type in login laguage.
With pressing 'alt' key, it should not type any character or open a respective
menu item according to the short-cut, that's what gedit does.

Additional info:

Comment 1 Leon Ho 2005-05-17 02:08:13 UTC
Ankit, does it happen if it is in application like kedit or kate?

Comment 2 Ankit Patel 2005-05-17 04:04:24 UTC
It happens with all KDE specific applications. I have tried it on kate and kbabel.

Comment 4 Jens Petersen 2008-03-05 04:20:09 UTC
I take it, this is ok with RHEL5?

Comment 5 Ankit Patel 2008-03-05 05:14:30 UTC
We have scim in RHEL5. I haven't tried installing iiimf on RHEL5 and test it.
Can we actually install it on RHEL5?


Note You need to log in before you can comment on or make changes to this bug.